//
// C++ Implementation: kbibpreambledlg
//
// Description: 
//
//
// Author: Thach Nguyen <thach.nguyen@rmit.edu.au>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kbibpreambledlg.h"
#include <qlayout.h>

KBibPreambleDlg::KBibPreambleDlg(QWidget *parent, const char *name)
	: KDialogBase( parent, name , false, 0, KDialogBase::Ok|KDialogBase::Cancel, KDialogBase::Ok, false )
{
	QWidget* page = new QWidget(this);
	setMainWidget(page);
	QVBoxLayout* l = new QVBoxLayout(page, 0,KDialog::spacingHint());
	textView = new QTextEdit(page);
	textView->setMinimumWidth(400);
	textView->setMinimumHeight(100);
	l->addWidget(textView);
}



KBibPreambleDlg::~KBibPreambleDlg()
{
}

void KBibPreambleDlg::setText(QString st)
{
	textView->setText(st);
}

QString KBibPreambleDlg::getText(){
	return textView->text();
}
#include "kbibpreambledlg.moc"
